REM
REM This file is part of the zBoy project
REM Copyright (C) Mateusz Viste 2010, 2011
REM
REM The InhibitScreenSaver routine is (trying to) inhibit any
REM possible screen saver thing.
REM

SUB InhibitScreenSaver(param AS ANY PTR)  ' param is here only for multithreading support

  #IFDEF __FB_LINUX__
    SHELL "xdg-screensaver reset"             ' The supposed "standard" way (which doesn't always work)
    SHELL "xscreensaver-command -deactivate"  ' The X way
    SHELL "qdbus org.freedesktop.ScreenSaver /ScreenSaver SimulateUserActivity" ' The D-BUS way (compatible with KDE4)
    SHELL "gnome-screensaver-command --poke"  ' The GNOME way
  #ENDIF

  #IFDEF __FB_WIN32__
    REM Sorry, no ScreenSaver prevention for Windows yet!
  #ENDIF

END SUB
